cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"resourceType":"folder","parentId":"string","name":"string"}'{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}base node
Post base node
Create a hierarchical node for a base
POST
/
base
/
{baseId}
/
node
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"resourceType":"folder","parentId":"string","name":"string"}'{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
响应
200 - application/json
Created node
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

